package cn.com.countrygarden.bi.main.dto.wcx;

import java.util.Date;

/**
 * 微创新用户
 */
public class WcxUserDto extends WcxBaseDto{
    // 旧参数
    private String wechatUrl; // varchar(255) DEFAULT NULL COMMENT '微信的图片',
    private String wechatName; // varchar(255) DEFAULT NULL COMMENT '微信的昵称',
    private Integer status; // int(2) DEFAULT NULL COMMENT '状态',
    private String userStatus; // int(2) DEFAULT NULL COMMENT '角色状态 后台管理系统设置',
    private String userPhone; // varchar(255) DEFAULT NULL COMMENT '用户手机号',
    private String userName; // varchar(255) DEFAULT NULL COMMENT '用户姓名',
    private String thumsRole; // int(11) NOT NULL COMMENT '点赞数',
    private String regionId; // varchar(36) DEFAULT NULL COMMENT '区域表主键',
    private String numberPoints; // int(11) NOT NULL COMMENT '用户每天的点赞数',
    private String isLeader; // int(2) DEFAULT NULL COMMENT '1:代表普通人，2：代表领导'
    // 新参数
    private String userId; // varchar(36) NOT NULL COMMENT '用户主键',
    private String openId; // varchar(28) DEFAULT NULL COMMENT '微信应用主键',
    private String headPicUrl; // varchar(450) DEFAULT NULL COMMENT '微信用户头像地址',
    private String nickName; // varchar(80) DEFAULT NULL COMMENT '微信用户昵称',
    private String roleId; // varchar(36) DEFAULT NULL COMMENT '用户角色主键',
    private Long employeeId; // varchar(36) DEFAULT NULL COMMENT '员工唯一主键',
    private String employeeName; // varchar(36) DEFAULT NULL COMMENT '员工姓名',
    private String employeePhone; // varchar(36) DEFAULT NULL COMMENT '员工手机号',
    private String employeeCardId; //  身份信息
    //private String status; // char(1) DEFAULT NULL COMMENT '状态(0:未启用,1:启用)',
    private Date createDate; // datetime DEFAULT NULL COMMENT '创建日期',
    private String roleName; // 角色名称

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Long getEmployeeId() {
        return employeeId;
    }

    public void setEmployeeId(Long employeeId) {
        this.employeeId = employeeId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getWechatUrl() {
        return wechatUrl;
    }

    public void setWechatUrl(String wechatUrl) {
        this.wechatUrl = wechatUrl;
    }

    public String getWechatName() {
        return wechatName;
    }

    public void setWechatName(String wechatName) {
        this.wechatName = wechatName;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getUserStatus() {
        return userStatus;
    }

    public void setUserStatus(String userStatus) {
        this.userStatus = userStatus;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getThumsRole() {
        return thumsRole;
    }

    public void setThumsRole(String thumsRole) {
        this.thumsRole = thumsRole;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getNumberPoints() {
        return numberPoints;
    }

    public void setNumberPoints(String numberPoints) {
        this.numberPoints = numberPoints;
    }

    public String getIsLeader() {
        return isLeader;
    }

    public void setIsLeader(String isLeader) {
        this.isLeader = isLeader;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getHeadPicUrl() {
        return headPicUrl;
    }

    public void setHeadPicUrl(String headPicUrl) {
        this.headPicUrl = headPicUrl;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getEmployeeName() {
        return employeeName;
    }

    public void setEmployeeName(String employeeName) {
        this.employeeName = employeeName;
    }

    public String getEmployeePhone() {
        return employeePhone;
    }

    public void setEmployeePhone(String employeePhone) {
        this.employeePhone = employeePhone;
    }

    public String getEmployeeCardId() {
        return employeeCardId;
    }

    public void setEmployeeCardId(String employeeCardId) {
        this.employeeCardId = employeeCardId;
    }
}
